using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace ImageBoardServerApp.Data;

public class ReportData
{
    [Required]
    [DatabaseGenerated((DatabaseGeneratedOption.Identity))]
    [Key]
    public int ReportID { get; set; }
    
    [Required]
    public int UserReportedID { get; set; }
    
    [Required]
    public UserData UserReported { get; set; }

    [Required]
    public int UserReporterID { get; set; }
    
    [Required]
    public UserData UserReporter { get; set; }
    
    public int? ReportedCommentID { get; set; }
    
    public CommentData? ReportedComment { get; set; }
    
    public int? ReportedPostID { get; set; }
    
    public PostData? ReportedPost { get; set; }
    
    [Required]
    public string Type { get; set; }
    
    [Required]
    public string ReportReason { get; set; }
    
    public string ReportExlaination { get; set; }

}